haskell-gi-base-0.26.9: Foundation for libraries generated by haskell-gi

Safe Haskell | None
Language | Haskell2010

Data.GI.Base.GQuark

Description

Basic support for `GQuark`s.

Synopsis

- newtype GQuark a = GQuark Word32
- gQuarkFromString :: Text -> IO (GQuark a)

# Documentation

newtype GQuark a Source #

A `GQuark`, which is simply an integer.

Constructors

GQuark Word32 |

gQuarkFromString :: Text -> IO (GQuark a) Source #

Construct a GQuark from the given string.